This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 81754 - mkinitrd Rawhide SRPM should BuildPreReq on dietlibc
mkinitrd Rawhide SRPM should BuildPreReq on dietlibc
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: mkinitrd (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-13 14:19 EST by John Morrissey
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-14 09:23:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Morrissey 2003-01-13 14:19:50 EST
Description of problem:
The mkinitrd package (3.4.34-1) in Rawhide requires the "diet" command, so this 
package should BuildPreReq on dietlibc.

--- mkinitrd.spec.orig  Mon Jan 13 19:04:21 2003
+++ mkinitrd.spec       Mon Jan 13 19:04:43 2003
@@ -11,6 +11,7 @@
 Prereq: dev
 Requires: e2fsprogs, /bin/sh, fileutils, grep, mount, gzip, 
tar, /sbin/insmod.static, /sbin/losetup, mktemp >= 1.5-5, findutils, lvm
 Requires: filesystem >= 2.1.0
+BuildPreReq: dietlibc
 BuildRoot: %{_tmppath}/%{name}-root

 %description


How reproducible:
Always

Steps to Reproduce:
1. Build the mkinitrd SRPM on a machine that doesn't have the dietlibc package 
installed.
Comment 1 Erik Troan 2003-01-14 09:23:21 EST
dietlibc is only used on i386, and RPM can't code platform specific build requires.

Note You need to log in before you can comment on or make changes to this bug.